=== debian/changelog ===
ros-humble-mvsim (0.8.1-1jammy) jammy; urgency=high

  * Move the rawlog-generation option to the World global options instead of sensor-wise.
  * Create CITATION.cff
  * helios 32fov70 sensor.xml: Fix missing MVSIM_CURRENT_FILE_DIRECTORY tag
  * Fix crash in edge case with world file path in the current directory
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 06 Sep 2023 22:00:00 -0000

ros-humble-mvsim (0.8.0-1jammy) jammy; urgency=high

  * Recursive "include"s are now possible.
  * All vehicle and sensor definitions are now exposed in public directory 'definitions' and are safe to be included from user worlds
  * ROS warehouse demos: fix wrong camera topicn ame in rviz
  * Add missing ROS 2 launch demo for greenhouse world
  * Add new variable: MVSIM_CURRENT_FILE_DIRECTORY
  * BUGFIX: In parseVars() in the XML parser
  * Debugging feature: MVSIM_VERBOSE_PARSE now also traces <variable> definitions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Sep 2023 22:00:00 -0000

ros-humble-mvsim (0.7.4-1jammy) jammy; urgency=high

  * Add new LIDAR 3D models: Helios 32.
  * Removed LIDAR3D fbo_nrows parameter, automatically computed now from geometry solutions.
  * More optimal simulation of asymmetric 3D lidars.
  * Progress with RTD documentation.
  * Add proper bibliography; fix all docs warnings
  * ROS 2 warehouse demo: show 2D lidar in RVIZ too; add headless launch argument
  * New GUI editor feature: move sensor poses
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 29 Aug 2023 22:00:00 -0000

ros-humble-mvsim (0.7.3-1jammy) jammy; urgency=high

  * Update python module install method to pip (fixes deprecation)
  * Improved docs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-mvsim (0.7.2-1jammy) jammy; urgency=high

  * Joystick driving: added support for direct driving the vehicles with a joystick.
  * Fix rviz for ros1 demo
  * Better docs and more modern RST style.
  * More shadow tuning parameters.
  * IMU sensor now reads real vehicle linear acceleration.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 11 Aug 2023 22:00:00 -0000

ros-humble-mvsim (0.7.1-1jammy) jammy; urgency=high

  * ROS node: fix potential race condition creating publisher for highrate sensors
  * Add IMU sensors
  * New property <visual enabled='true|false'>
  * lidar2d xml: add option "sensor_custom_visual"
  * FIX: Crash if launching an empty world
  * Trigger an error if using use_sim_time to avoid mistakes
  * Add new (fake) controller: twist_ideal
  * ROS 1: don't enforce /use_sim_time
  * Add ROS 2 launch for the 2-robot demo
  * Fix cmake leftover
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 10 Jun 2023 22:00:00 -0000

ros-humble-mvsim (0.7.0-1jammy) jammy; urgency=high

  * Automatic detection of collision shapes
  * Add turtlebot world demo
  * Rely on custom build of Box2D to increase the maximum polygon vertices count (8 to 12).
  * fix inconsistent use_sim_time value for ROS 2 (it should be false)
  * Expose shadow rendering parameters in the XML world file
  * Abort simulation on exceptions in headless mode too
  * ROS 1 and 2 nodes now quit cleanly and quickly with SIGINT
  * Add ros2 launch for turtlebot world demo
  * Automatic determination of zmin/zmax for blocks if not explicitly set in XML
  * Force c++17 for python module
  * Exit simulator on exceptions in GUI-related threads
  * More automated testing
  * Add unit tests in C++ too
  * Refactor collision shape determination
  * New UI checkbox: show collision shapes
  * Allow simply geometry definitions without external 3D model file for "blocks"
  * Light options are now under <light> XML tag.
  * Largest default physics simulation timestep changed from 50ms to 5ms
  * GUI: change light direction
  * Add GUI checkbox to enable/disable shadows
  * Add rplidar A2 sensor model
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 20 Apr 2023 22:00:00 -0000

ros-humble-mvsim (0.6.1-1jammy) jammy; urgency=high

  * New XML parameters to enable and tune shadowmap generation
  * Use finer timestep for prevent wrong simulation of ramp sliding
  * Fix code notation
  * Temporary workaround to GH CI problem
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 03 Mar 2023 23:00:00 -0000

ros-humble-mvsim (0.6.0-1jammy) jammy; urgency=high

  * Support for SkyBox rendering (requires MRPT >=2.7.0)
  * More camera options in world.xml files (initial azimuth, elevation, etc.)
  * Terrain elevation models now support repeated textures (requires MRPT >=2.7.0)
  * Faster 3D Lidar rendering (Requires MRPT >=2.7.0)
  * Add Ouster OS1 sensor file
  * Fix default friction coefficients; draw motor torques too
  * More accurate Velodyne simulation based on sensor_rpm parameter
  * Clearer code and code style conventions
  * Add "<static>" XML tag for large, static world objects
  * Support for XML tag <if ...>
  * Refactor xml parser as a registry of tag->function
  * Examples renamed for conciseness: 'mvsim_demo_*' to 'demo_*'
  * Added a "greenhouse" example world
  * Wheels: allow linked-yaw-objects in vehicle viz
  * Support several <visual> tags in custom visualization models
  * pybind11 sources simplification.
    Simplify into one single source tree with conditional compilation for different pybind versions.
  * Emit clearer warnings and earlier detection of wrong bounding boxes
  * Add reference to (preprint) paper
  * Controllers: Made threadsafe
  * Contributors: Fernando Cañadas, Jose Luis Blanco-Claraco
  * BUGFIX: program did not quit if using a non-existing launch file.
  * BUGFIX: unneeded friction coefficient for chassis body

