## ros-humble-mvsim 0.10.0

=== debian/changelog ===
ros-humble-mvsim (0.10.0-1bookworm) bookworm; urgency=high

  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Merge pull request #52 <https://github.com/MRPT/mvsim/issues/52> from finani/fix-fake-amcl
    Fix fake amcl topic (QoS Durability)
  * Update outdated copyright years in source files
  * Merge pull request #51 <https://github.com/MRPT/mvsim/issues/51> from finani/nav2-compatible
    Nav2 compatible
  * Update codebase to new clang-format style
  * Merge pull request #48 <https://github.com/MRPT/mvsim/issues/48> from finani/refactoring-node
    Refactoring node
  * Merge pull request #45 <https://github.com/MRPT/mvsim/issues/45> from finani/develop
    Add tf pub for each robot (support namespace)
  * Merge pull request #43 <https://github.com/MRPT/mvsim/issues/43> from kr-jschoi/fix-bug
    Fix namespace switching bug between mvsim.chassis_shape and mvsim.chassis_shape.wheel3 in /chassis_markers
  * Contributors: Inhwan Wee, Jose Luis Blanco-Claraco, finani, kr-jschoi

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 27 Aug 2024 16:00:00 -0000

ros-humble-mvsim (0.9.4-1bookworm) bookworm; urgency=high

  * Better detection of "in collision" flag.
  * Update to clang-format-14
  * Upgrade Joystick API so it works correctly with an arbitrary number of axes
  * ROS nodes: add collision state publishers for each vehicle
  * remove dead code
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 07 May 2024 16:00:00 -0000

ros-humble-mvsim (0.9.3-1bookworm) bookworm; urgency=high

  * Fix usage of (new explicit) TPoint3D constructors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 23 Apr 2024 16:00:00 -0000

ros-humble-mvsim (0.9.2-1bookworm) bookworm; urgency=high

  * BUG FIX: 3D lidars should not 'see' XYZ corners of wheels
  * BUG FIX: gridmaps were published at a too high rate in the ROS 2 node
  * remove dead code
  * update header version
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-mvsim (0.9.1-1bookworm) bookworm; urgency=high

  * Fix use of mrpt bridge to publish XYZIRT point clouds too for ROS 1
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-mvsim (0.9.0-1bookworm) bookworm; urgency=high

  * Do not publish tf world->map
  * Expose do_fake_localization as ROS 2 launch file argument
  * fix build with older mrpt
  * 3D Lidar: also generate "ring" ID per point
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-mvsim (0.8.3-1bookworm) bookworm; urgency=high

  * Generate ground truth trajectory files in the TUM format
  * ROS nodes: add a timeout for cmd_vel commands, so the robots stop if input messages stop
  * Add rviz_plugin_tutorials dependency for ROS1
  * Contributors: Jose Luis Blanco-Claraco, Michael Grupp

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 04 Dec 2023 16:00:00 -0000

ros-humble-mvsim (0.8.2-1bookworm) bookworm; urgency=high

  * 3D LIDARs: Bilinear interpolation (when it makes sense) to obtain much smoother point cloud simulations
  * Add missing build dep on python3-pip.
    This was triggering errors on ROS 1 build farm dev builds.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 05 Oct 2023 16:00:00 -0000

ros-humble-mvsim (0.8.1-1bookworm) bookworm; urgency=high

  * Move the rawlog-generation option to the World global options instead of sensor-wise.
  * Create CITATION.cff
  * helios 32fov70 sensor.xml: Fix missing MVSIM_CURRENT_FILE_DIRECTORY tag
  * Fix crash in edge case with world file path in the current directory
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 06 Sep 2023 16:00:00 -0000

ros-humble-mvsim (0.8.0-1bookworm) bookworm; urgency=high

  * Recursive "include"s are now possible.
  * All vehicle and sensor definitions are now exposed in public directory 'definitions' and are safe to be included from user worlds
  * ROS warehouse demos: fix wrong camera topicn ame in rviz
  * Add missing ROS 2 launch demo for greenhouse world
  * Add new variable: MVSIM_CURRENT_FILE_DIRECTORY
  * BUGFIX: In parseVars() in the XML parser
  * Debugging feature: MVSIM_VERBOSE_PARSE now also traces <variable> definitions
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 01 Sep 2023 16:00:00 -0000

ros-humble-mvsim (0.7.4-1bookworm) bookworm; urgency=high

  * Add new LIDAR 3D models: Helios 32.
  * Removed LIDAR3D fbo_nrows parameter, automatically computed now from geometry solutions.
  * More optimal simulation of asymmetric 3D lidars.
  * Progress with RTD documentation.
  * Add proper bibliography; fix all docs warnings
  * ROS 2 warehouse demo: show 2D lidar in RVIZ too; add headless launch argument
  * New GUI editor feature: move sensor poses
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 29 Aug 2023 16:00:00 -0000

ros-humble-mvsim (0.7.3-1bookworm) bookworm; urgency=high

  * Update python module install method to pip (fixes deprecation)
  * Improved docs
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-mvsim (0.7.2-1bookworm) bookworm; urgency=high

  * Joystick driving: added support for direct driving the vehicles with a joystick.
  * Fix rviz for ros1 demo
  * Better docs and more modern RST style.
  * More shadow tuning parameters.
  * IMU sensor now reads real vehicle linear acceleration.
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 11 Aug 2023 16:00:00 -0000

ros-humble-mvsim (0.7.1-1bookworm) bookworm; urgency=high


