=== debian/control ===
Source: ros-humble-mvsim
Section: misc
Priority: optional
Maintainer: Jose-Luis Blanco-Claraco <jlblanco@ual.es>
Build-Depends: debhelper (>= 9.0.0), cmake, cppzmq-dev, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-pip, python3-protobuf, python3-venv, ros-humble-ament-cmake, ros-humble-ament-cmake-gmock, ros-humble-ament-cmake-gtest, ros-humble-ament-cmake-xmllint, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-mrpt-libgui, ros-humble-mrpt-libmaps, ros-humble-mrpt-libposes, ros-humble-mrpt-libros-bridge, ros-humble-mrpt-libtclap, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros-environment, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-visualization-msgs, unzip, wget, ros-humble-ros-workspace
Homepage: https://wiki.ros.org/mvsim
Standards-Version: 3.9.2

Package: ros-humble-mvsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cppzmq-dev, libboost-all-dev, libprotobuf-dev, libprotoc-dev, libzmq3-dev, protobuf-compiler, pybind11-dev, python3-pip, python3-protobuf, python3-venv, ros-humble-cv-bridge, ros-humble-geometry-msgs, ros-humble-mrpt-libgui, ros-humble-mrpt-libmaps, ros-humble-mrpt-libposes, ros-humble-mrpt-libros-bridge, ros-humble-mrpt-libtclap, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-ros2launch, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-stereo-msgs, ros-humble-tf2, ros-humble-tf2-geometry-msgs, ros-humble-visualization-msgs, unzip, wget, ros-humble-ros-workspace
Description: A lightweight multivehicle simulation framework.
